> ## Documentation Index
> Fetch the complete documentation index at: https://developers.apartmentiq.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Organization Details

> Fetch company profile fields and portfolio summary metrics for a stakeholder organization.

<Warning>Requires Explore Pro Plus access.</Warning>



## OpenAPI

````yaml /openapi/v2/schema.json get /stakeholder_entities/{stakeholder_entity_id}/details
openapi: 3.1.0
info:
  title: ApartmentIQ API V2
  version: 2.4.0
  termsOfService: https://www.getapartmentiq.com/terms
  x-logo:
    url: https://developers.apartmentiq.io/logo.svg
    altText: ApartmentIQ
  description: >-
    ApartmentIQ API V2 endpoints for account discovery, search, organization
    details, bulk Explore data, and dataset downloads.
servers:
  - url: https://data.apartmentiq.io/apartmentiq/api/v2
security:
  - bearerAuth: []
tags:
  - name: Accounts
    description: Account discovery endpoints.
  - name: Amenities
    description: Amenity discovery endpoints.
  - name: Properties
    description: Property search endpoints.
  - name: Markets
    description: Market and geo-boundary search endpoints.
  - name: Organizations
    description: Organization search endpoints.
  - name: Datasets
    description: Complete dataset snapshot downloads.
  - name: Bulk
    description: Bulk property, market, quota, and forecast exports.
paths:
  /stakeholder_entities/{stakeholder_entity_id}/details:
    get:
      tags:
        - Organizations
      summary: Get Organization Details
      description: >-
        Fetch company profile fields and portfolio summary metrics for a
        stakeholder organization.


        <Warning>Requires Explore Pro Plus access.</Warning>
      operationId: getV2StakeholderEntityDetails
      parameters:
        - name: stakeholder_entity_id
          in: path
          required: true
          schema:
            type: integer
          description: ApartmentIQ stakeholder entity ID.
        - name: account_id
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/AccountId'
      responses:
        '200':
          description: Stakeholder organization details and portfolio summary metrics.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StakeholderEntityDetails'
              example:
                id: 123
                name: Greystar Real Estate Partners
                entity_type: Property Manager
                image_url: https://cdn.example.com/organizations/greystar.png
                website_url: https://www.greystar.com
                domain_name: greystar.com
                linkedin_url: https://www.linkedin.com/company/greystar
                description: Global rental housing operator.
                company_entity_type: company
                company_legal_type: private
                year_founded: '1993'
                phone_number: 555-555-5555
                employee_count_range: 1001-5000
                headquarters_address: 123 Main Street
                headquarters_city: Charleston
                headquarters_state: SC
                headquarters_zip_code: '29401'
                headquarters_country: US
                property_count: 10
                total_unit_count: 2500
                units_by_market:
                  - market_id: 100
                    market_name: Austin, TX
                    unit_count: 1500
                units_by_property_class:
                  - property_class: A
                    unit_count: 1100
                units_by_property_type:
                  - property_type: Garden
                    unit_count: 900
                market_rent_performance:
                  - market_id: 100
                    market_name: Austin, TX
                    ner_avg: 1550
                    ner_market_avg: 1500
                    asking_rent_avg: 1650
                    asking_rent_market_avg: 1600
                    occupancy_avg: 0.9456
                    occupancy_market_avg: 0.9234
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/ExploreProPlusAccessForbidden'
        '404':
          $ref: '#/components/responses/StakeholderEntityNotFound'
        '429':
          $ref: '#/components/responses/RateLimitExceeded'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    AccountId:
      anyOf:
        - type: integer
        - type: string
      description: ApartmentIQ account ID used to set the request account context.
    StakeholderEntityDetails:
      type: object
      description: Stakeholder organization profile fields and portfolio summary metrics.
      properties:
        id:
          type: integer
          description: ApartmentIQ stakeholder entity ID.
        name:
          type: string
          description: Display name for the stakeholder organization.
        entity_type:
          type: string
          description: Stakeholder entity type, such as Property Manager or Owner.
        image_url:
          type:
            - string
            - 'null'
          description: Logo or image URL for the organization, when available.
        website_url:
          type:
            - string
            - 'null'
          description: Organization website URL, when available.
        domain_name:
          type:
            - string
            - 'null'
          description: Organization domain name, when available.
        linkedin_url:
          type:
            - string
            - 'null'
          description: Organization LinkedIn URL, when available.
        description:
          type:
            - string
            - 'null'
          description: Organization description, when available.
        company_entity_type:
          type:
            - string
            - 'null'
          description: Company entity type, when available.
        company_legal_type:
          type:
            - string
            - 'null'
          description: Company legal type, when available.
        year_founded:
          type:
            - string
            - 'null'
          description: Year the organization was founded, when available.
        phone_number:
          type:
            - string
            - 'null'
          description: Organization phone number, when available.
        employee_count_range:
          type:
            - string
            - 'null'
          description: Employee count range, when available.
        headquarters_address:
          type:
            - string
            - 'null'
          description: Headquarters street address, when available.
        headquarters_city:
          type:
            - string
            - 'null'
          description: Headquarters city, when available.
        headquarters_state:
          type:
            - string
            - 'null'
          description: Headquarters state, when available.
        headquarters_zip_code:
          type:
            - string
            - 'null'
          description: Headquarters postal code, when available.
        headquarters_country:
          type:
            - string
            - 'null'
          description: Headquarters country, when available.
        property_count:
          type: integer
          description: Count of associated properties.
        total_unit_count:
          type: integer
          description: Total unit count across associated properties.
        units_by_market:
          type: array
          items:
            $ref: '#/components/schemas/StakeholderEntityUnitsByMarket'
          description: Associated unit counts grouped by market.
        units_by_property_class:
          type: array
          items:
            $ref: '#/components/schemas/StakeholderEntityUnitsByPropertyClass'
          description: Associated unit counts grouped by property class.
        units_by_property_type:
          type: array
          items:
            $ref: '#/components/schemas/StakeholderEntityUnitsByPropertyType'
          description: Associated unit counts grouped by property type.
        market_rent_performance:
          type: array
          items:
            $ref: '#/components/schemas/StakeholderEntityMarketRentPerformance'
          description: Portfolio rent performance compared with each market.
      required:
        - id
        - name
        - entity_type
        - image_url
        - website_url
        - domain_name
        - linkedin_url
        - description
        - company_entity_type
        - company_legal_type
        - year_founded
        - phone_number
        - employee_count_range
        - headquarters_address
        - headquarters_city
        - headquarters_state
        - headquarters_zip_code
        - headquarters_country
        - property_count
        - total_unit_count
        - units_by_market
        - units_by_property_class
        - units_by_property_type
        - market_rent_performance
      additionalProperties: false
    StakeholderEntityUnitsByMarket:
      type: object
      description: Unit count grouped by Explore market.
      properties:
        market_id:
          type: integer
          description: Explore market ID.
        market_name:
          type:
            - string
            - 'null'
          description: Market display name.
        unit_count:
          type: integer
          description: Associated unit count in the market.
      required:
        - market_id
        - market_name
        - unit_count
      additionalProperties: false
    StakeholderEntityUnitsByPropertyClass:
      type: object
      description: Unit count grouped by property class.
      properties:
        property_class:
          type:
            - string
            - 'null'
          description: Property class.
        unit_count:
          type: integer
          description: Associated unit count for the property class.
      required:
        - property_class
        - unit_count
      additionalProperties: false
    StakeholderEntityUnitsByPropertyType:
      type: object
      description: Unit count grouped by property type.
      properties:
        property_type:
          type:
            - string
            - 'null'
          description: Property type.
        unit_count:
          type: integer
          description: Associated unit count for the property type.
      required:
        - property_type
        - unit_count
      additionalProperties: false
    StakeholderEntityMarketRentPerformance:
      type: object
      description: Stakeholder portfolio rent performance compared with a market.
      properties:
        market_id:
          type: integer
          description: Explore market ID.
        market_name:
          type:
            - string
            - 'null'
          description: Market display name.
        ner_avg:
          type:
            - number
            - 'null'
          description: >-
            Average net effective rent for the stakeholder portfolio in the
            market.
        ner_market_avg:
          type:
            - number
            - 'null'
          description: Average net effective rent for the full market.
        asking_rent_avg:
          type:
            - number
            - 'null'
          description: Average asking rent for the stakeholder portfolio in the market.
        asking_rent_market_avg:
          type:
            - number
            - 'null'
          description: Average asking rent for the full market.
        occupancy_avg:
          type:
            - number
            - 'null'
          description: Average occupancy for the stakeholder portfolio in the market.
        occupancy_market_avg:
          type:
            - number
            - 'null'
          description: Average occupancy for the full market.
      required:
        - market_id
        - market_name
        - ner_avg
        - ner_market_avg
        - asking_rent_avg
        - asking_rent_market_avg
        - occupancy_avg
        - occupancy_market_avg
      additionalProperties: false
    Error:
      type: object
      description: Error response payload.
      properties:
        error:
          type: string
          description: Short error message.
        message:
          type: string
          description: Additional error details, when available.
        quota_limit:
          type: integer
          description: Quota limit that applied to the request, when relevant.
        quota_usage:
          type: integer
          description: Quota already used, when relevant.
      required:
        - error
      additionalProperties: true
  responses:
    Unauthorized:
      description: Unauthorized - Invalid or missing authentication.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    ExploreProPlusAccessForbidden:
      description: Forbidden - The user lacks account access or Explore Pro Plus access.
    StakeholderEntityNotFound:
      description: Stakeholder entity not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: Stakeholder entity not found
    RateLimitExceeded:
      description: >-
        Rate limit exceeded. Inspect the rate limit headers and wait before
        retrying.
      headers:
        X-RateLimit-Limit:
          description: The limit that applied to the request.
          schema:
            type: string
        X-RateLimit-Reset-After:
          description: The rate limit window length, in seconds.
          schema:
            type: string
        X-RateLimit-Reset:
          description: Unix timestamp when the current window resets.
          schema:
            type: string
        Retry-After:
          description: Seconds to wait before retrying the request.
          schema:
            type: string
      content:
        text/plain:
          schema:
            type: string
          example: |
            You have exceeded the rate limit for this API.
    InternalServerError:
      description: An unexpected error occurred while processing the request.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````